Subject: Re: bug#6774: Cut and paste with C-w/mouse-2 not working?

From: Jan Djärv <[email-masked]>
Date: Tue, 10 Aug 2010 16:01:29 +0200

Stefan Monnier skrev 2010-08-10 09.29:

>>> Indeed, I don't think it's good to do so.  The old behavior of setting
>>> PRIMARY only when killing the text seems like the right behavior.
>>> Why would we want to change that?
>
>> Because it would conflict with
>> http://standards.freedesktop.org/clipboards-spec/clipboards-latest.txt, and
>> most other X applications set PRIMARY without an explicit kill or copy.
>
> That doesn't mean that C-SPC C-f should set PRIMARY.  It just means that
> some other operations should be considered as forms of copy/kill.

I think it should and so does the applications that claim to conform. 
Pressing Shift-Left Arrow starts a selection in those X applications, and that 
sets PRIMARY.  C-SPC C-f is Emacs way of doing shift-selection as I see it.

>
>> And because it is convinient to be able to select text and then paste
>> with middle button in another application.
>
> Indeed, and Emacs-23 does that fine by saying that mouse-selection
> performs a `copy'.

But emacs 23.1 at least does not do this for shift-selection.  That is unlike 
the other X apps.  Why not take ownership of PRIMARY in this case?  It is not 
as it is a performance issue.  You don't have to copy the text until someone 
asks for it.

	Jan D.